Get Learning Modules
curl --request GET \
--url https://staging.debt-wise.com/api/learning_modules \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.debt-wise.com/api/learning_modules"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.debt-wise.com/api/learning_modules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"modules": [
{
"category": "career",
"title": "ace_a_job_interview",
"content": "<div class='career-module'><h1>Ace a Job Interview</h1></div>"
}
]
}{
"error": {
"code": "internal_server_error",
"message": "We've notified our engineers and hope to address this issue shortly."
}
}Learning Modules
Get Learning Modules
Retrieve a list of learning modules, optionally filtered by category.
GET
/
api
/
learning_modules
Get Learning Modules
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
We can compress a response with gzip.
Example:
"gzip deflate"
API API Version. See Versioning page for more details.
Example:
"2024-07-01"
Query Parameters
Filter modules by specific category
Available options:
career, college, entrepreneurship, financial_basics, investing, major_milestones, risk_management, teen_finance Response
Returns filtered learning modules by category
Show child attributes
Show child attributes